<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" version="1.0" encoding="UTF-8" omit-xml-declaration="no" indent="no" media-type="text/html"/>
	<!--XSL Stylesheet for generating Datasheet-->
	<xsl:template match="/">
		<html>
		<head>
			<title>Weight Watcher Information
			</title>
			<link href="ww.css" rel="stylesheet" type="text/css" />
		</head>
		<body>
		<xsl:apply-templates />

		</body>
		</html>
	</xsl:template>
	<xsl:template match="wwdiary/wweek">
		<TABLE class='DaySum'	border="1" width='80%' align="center" >
		  <TR>
		    <TH class="JazzyHeading2" colspan="3">Weight Watcher Diary for Week of <xsl:value-of select="@dtStart" /> </TH>
		   </TR>
		 <tr> 
		 	<th align="left" width="35%" >Food Points</th>
		 	<th align="right" width="30%" >Exercise Points</th>
		 	<th align="right"  width="35%">Total Points</th>
		 </tr>
		
		<TR>
		<TH  width="35%" align="right"><xsl:value-of select="sum(day/Meal/foodEntry/@Points)" /></TH>
		<TH  width="30%" align="right"><xsl:value-of select="sum(day/exerciseEntry/@Points)" /></TH>
		<TH  width="35%" align="right"><xsl:value-of select="sum(day/Meal/foodEntry/@Points)-sum(day/exerciseEntry/@Points)" /></TH>
		</TR>
		</TABLE>
		
		<xsl:apply-templates select="day"/>
		

	</xsl:template>

	<xsl:template match="day">
		<table class='DaySum'  border="1" width='80%' align="center" >

			
			
		 <tr> 
		 	<th align="left"  ><xsl:value-of select="@Day" /> </th>
		 	<th align="left" colspan="2"><xsl:value-of select="@DayDate" /> </th>
		 </tr>
		<tr> 
		 	<th align="right"  width="35%" ><xsl:value-of select="sum(Meal/foodEntry/@Points)" /></th>
		 	<th align="right"  width="30%"><xsl:value-of select="sum(exerciseEntry/@Points)" /></th>
		 	<th align="right"  width="35%"><xsl:value-of select="sum(Meal/foodEntry/@Points)-sum(exerciseEntry/@Points)" /></th>
		 </tr>		 
		 
		 </table>
		 
		
		

	</xsl:template>
	
	
	
	
	
	





</xsl:stylesheet>
