<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" version="1.0" encoding="UTF-8" omit-xml-declaration="no" indent="no" media-type="text/html"/>
	<!--XSL Stylesheet for generating Datasheet-->
	<xsl:template match="/">
		<html>
		<head>
			<title>Weight Watcher Information
			</title>
			<link href="ww.css" rel="stylesheet" type="text/css" />
		</head>
		<body>
	<xsl:for-each select="wwdiary/wweek">
		<xsl:sort  select="@dtStart" data-type="text" />
		<TABLE class='DaySum'	 width='80%' align="center" >
		  <TR>
		    <TH class="JazzyHeading2">WW Diary for Week of <xsl:value-of select="@dtStart" /> </TH>
		   </TR>
		   </TABLE>
		<TABLE class='Detail'	border="1" width='80%' align="center" >
		   
		 <TR> 
		 	<th align="right" width="25%" >Weight:</th>
		 	<th align="left" width="25%" ><xsl:value-of select="@Weight" /></th>
		 	
		 	<th align="right"  width="25%">Weight Loss:</th>
		 	<th align="right" width="25%" ><xsl:value-of select="@WeightLoss" /></th>
		 	
		 </TR>
		 <TR> 
		 	<th align="right" width="35%" >Food Points</th>
		 	<th align="right" width="30%" >Exercise Points</th>
		 	<th align="right"  width="35%" colspan="2">Total Points</th>
		 </TR>
		
		<TR>
		<TH  width="35%" align="right"><xsl:value-of select="sum(day/Meal/foodEntry/@Points)" /></TH>
		<TH  width="30%" align="right"><xsl:value-of select="sum(day/exerciseEntry/@Points)" /></TH>
		<TH  width="35%" align="right" colspan="2"><xsl:value-of select="sum(day/Meal/foodEntry/@Points)-sum(day/exerciseEntry/@Points)" /></TH>
		</TR>
		</TABLE>
		
		

	</xsl:for-each>


		</body>
		</html>
	</xsl:template>

</xsl:stylesheet>
